#!/bin/bash

I3C_CFGDIR=$HOME/.config/i3
I3C_SRCDIR=$HOME/.cfg_src/i3

MYHOST=`hostname`;
I3C_LOCCFG=$I3C_SRCDIR/config.$MYHOST.local;

I3B_DIR=$HOME/.config/i3blocks;
I3B_CFG=$I3B_DIR/config;


if [ ! -e $I3C_LOCCFG ]
then
	cp $I3C_SRCDIR/config.local.dist $I3C_LOCCFG;
fi

if [ ! -e $I3C_CFGDIR ]
then
	mkdir -p $I3C_CFGDIR;
fi

cat $I3C_SRCDIR/config.base $I3C_LOCCFG > $I3C_CFGDIR/config;

if [ ! -e $I3B_DIR ]
then
	mkdir -p $I3B_DIR;
fi

cat $I3C_SRCDIR/i3blocks.base > $I3B_CFG;

